Call for testing: OpenSSH 6.9
Damien Miller
djm at mindrot.org
Tue Jun 30 13:13:08 AEST 2015
On Thu, 25 Jun 2015, Tom G. Christensen wrote:
> > bad addr or host: ::1 (no address associated with name)
> > listenaddress order 2
> > failed config parse
> > gmake[1]: *** [t-exec] Error 1
> >
>
> I just re-tested on Solaris 2.6 with 9488538a from git and this is still an
> issue.
> Removing the ipv6 addresses from cfgparse.sh allows the testsuite to run to
> completion.
I think we should just disable the test if the host doesn't support IPv6.
diff --git a/regress/cfgparse.sh b/regress/cfgparse.sh
index 7f377d8..e19b4d0 100644
--- a/regress/cfgparse.sh
+++ b/regress/cfgparse.sh
@@ -3,6 +3,12 @@
tid="config parse"
+# Possessing struct addrinfo is a reasonable proxy for IPv6 support.
+if ! config_defined HAVE_STRUCT_ADDRINFO ; then
+ echo "skipped (not supported on this platform)"
+ exit 0
+fi
+
# We need to use the keys generated for the regression test because sshd -T
# will fail if we're not running with SUDO (no permissions for real keys) or
# if we are # running tests on a system that has never had sshd installed
More information about the openssh-unix-dev
mailing list